package gui.run;

import javax.swing.*;
import java.awt.event.ActionListener;
import java.awt.event.KeyEvent;
import java.awt.event.KeyListener;

/**
 * Just like the RunTextFieldOld except that each
 * char causes an invocation of the run method
 */
public abstract class RunTextField extends
                                   JTextField
        implements ActionListener,
                   KeyListener,
                   Runnable {
    private String originalText = null;

    public void keyTyped(KeyEvent e) {
    };

    public void keyPressed(KeyEvent e) {
    };

    public void keyReleased(KeyEvent e) {
        run();
    };

    public String getOriginalText() {
        return originalText;
    }


    public RunTextField(String text) {
        super(text);
        originalText = text;
        addActionListener(this);
        ShortcutUtils.addShortcut(this);
        addKeyListener(this);

    }


    public RunTextField() {
        this("");
    }

    public RunTextField(int columns) {
        super(columns);
        addActionListener(this);
        addKeyListener(this);
    }

    public RunTextField(String text,
                        int columns) {
        super(text, columns);
        addActionListener(this);
        addKeyListener(this);
    }

    public RunTextField(
            javax.swing.text.Document doc,
            String text,
            int columns) {
        super(doc, text, columns);
        addActionListener(this);
        addKeyListener(this);
    }

    public void actionPerformed(
            java.awt.event.ActionEvent e) {
        run();
    }

    public static void main(String args[]) {
        gui.ClosableJFrame cf = new gui.ClosableJFrame(
                "RunTextField");
        java.awt.Container c = cf.getContentPane();
        c.add(new RunTextField(
                "[aWhat is your name?") {
            public void run() {
                System.out.println(getText());
            }
        });
        c.add(new RunTextField(
                "[bWhat is your name?") {
            public void run() {
                System.out.println(getText());
            }
        });
        c.setLayout(
                new java.awt.GridLayout(4, 0));
        cf.setSize(200, 200);
        cf.setVisible(true);
    }

}